#include <bits/stdc++.h>
using namespace std;
string a,b,c,resenje;
int main(){
    cin >> a >> b >> c;
    resenje = a+b+c;
    resenje = max(resenje,a+c+b);
    resenje = max(resenje,b+a+c);
    resenje = max(resenje,b+c+a);
    resenje = max(resenje,c+a+b);
    resenje = max(resenje,c+b+a);
    cout << resenje << endl;

    return 0;
}